Bug 997259 - RFE: Details about REST endpoint security
RFE: Details about REST endpoint security
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.2.1
Assigned To: gsheldon
Martin Gencur
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 01:57 EDT by Misha H. Ali
Modified: 2014-04-03 23:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 23:56:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-08-15 01:57:19 EDT
> • More information on REST End point Security? (whether it supports JAAS /
> OPENAM / LDAP authentication etc)
Comment 3 gsheldon 2014-01-30 01:27:23 EST
Adding needinfo Tristan.

Tristan could you confirm if any of the authentication methods mentioned in comment 1 are supported?
Comment 4 Tristan Tarrant 2014-01-31 05:58:22 EST
The REST endpoint supports any of the EAP security subsystem providers.
Comment 5 Misha H. Ali 2014-02-19 18:03:10 EST
Based on Tristan's comment, this probably only requires a line added to the relevant place. Scoped for 6.2.1.
Comment 7 gsheldon 2014-02-28 00:20:36 EST
Adding Martin for QE Ack.

Note You need to log in before you can comment on or make changes to this bug.